class CRNN(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  prepare_data_per_node : bool
  allow_zero_length_dataloader_with_multiple_devices : bool
  _log_hyperparams : bool
  _dtype : int
  _device : Device
  trainer : NoneType
  _use_amp : bool
  precision : int
  _example_input_array : NoneType
  _current_fx_name : NoneType
  _automatic_optimization : bool
  _truncated_bptt_steps : int
  _metric_attributes : NoneType
  _should_prevent_trainer_and_dataloaders_deepcopy : bool
  _running_torchscript : bool
  batch_size : int
  lr : float
  warmup_pct : float
  weight_decay : float
  blank_id : int
  _hparams_name : str
  model : __torch__.strhub.models.crnn.model.CRNN
  def forward(self: __torch__.strhub.models.crnn.system.CRNN,
    images: Tensor,
    max_length: Optional[int]=None) -> Tensor:
    model = self.model
    return (model).forward(images, )
