class Sequential(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : NoneType
  conv0 : __torch__.torch.nn.modules.conv.Conv2d
  relu0 : __torch__.torch.nn.modules.activation.ReLU
  pooling0 : __torch__.torch.nn.modules.pooling.MaxPool2d
  conv1 : __torch__.torch.nn.modules.conv.___torch_mangle_0.Conv2d
  relu1 : __torch__.torch.nn.modules.activation.ReLU
  pooling1 : __torch__.torch.nn.modules.pooling.MaxPool2d
  conv2 : __torch__.torch.nn.modules.conv.___torch_mangle_1.Conv2d
  batchnorm2 : __torch__.torch.nn.modules.batchnorm.BatchNorm2d
  relu2 : __torch__.torch.nn.modules.activation.ReLU
  conv3 : __torch__.torch.nn.modules.conv.___torch_mangle_2.Conv2d
  relu3 : __torch__.torch.nn.modules.activation.ReLU
  pooling2 : __torch__.torch.nn.modules.pooling.___torch_mangle_3.MaxPool2d
  conv4 : __torch__.torch.nn.modules.conv.___torch_mangle_4.Conv2d
  batchnorm4 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_5.BatchNorm2d
  relu4 : __torch__.torch.nn.modules.activation.ReLU
  conv5 : __torch__.torch.nn.modules.conv.___torch_mangle_6.Conv2d
  relu5 : __torch__.torch.nn.modules.activation.ReLU
  pooling3 : __torch__.torch.nn.modules.pooling.___torch_mangle_3.MaxPool2d
  conv6 : __torch__.torch.nn.modules.conv.___torch_mangle_7.Conv2d
  batchnorm6 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_5.BatchNorm2d
  relu6 : __torch__.torch.nn.modules.activation.ReLU
  def forward(self: __torch__.torch.nn.modules.container.Sequential,
    input: Tensor) -> Tensor:
    conv0 = self.conv0
    relu0 = self.relu0
    pooling0 = self.pooling0
    conv1 = self.conv1
    relu1 = self.relu1
    pooling1 = self.pooling1
    conv2 = self.conv2
    batchnorm2 = self.batchnorm2
    relu2 = self.relu2
    conv3 = self.conv3
    relu3 = self.relu3
    pooling2 = self.pooling2
    conv4 = self.conv4
    batchnorm4 = self.batchnorm4
    relu4 = self.relu4
    conv5 = self.conv5
    relu5 = self.relu5
    pooling3 = self.pooling3
    conv6 = self.conv6
    batchnorm6 = self.batchnorm6
    relu6 = self.relu6
    input0 = (conv0).forward(input, )
    input1 = (relu0).forward(input0, )
    input2 = (pooling0).forward(input1, )
    input3 = (conv1).forward(input2, )
    input4 = (relu1).forward(input3, )
    input5 = (pooling1).forward(input4, )
    input6 = (conv2).forward(input5, )
    input7 = (batchnorm2).forward(input6, )
    input8 = (relu2).forward(input7, )
    input9 = (conv3).forward(input8, )
    input10 = (relu3).forward(input9, )
    input11 = (pooling2).forward(input10, )
    input12 = (conv4).forward(input11, )
    input13 = (batchnorm4).forward(input12, )
    input14 = (relu4).forward(input13, )
    input15 = (conv5).forward(input14, )
    input16 = (relu5).forward(input15, )
    input17 = (pooling3).forward(input16, )
    input18 = (conv6).forward(input17, )
    input19 = (batchnorm6).forward(input18, )
    return (relu6).forward(input19, )
  def __len__(self: __torch__.torch.nn.modules.container.Sequential) -> int:
    return 21
